/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.creditos;

import com.cosmodas.FacadeCosmos.FacadeConsultoresLocal;
import com.cosmodas.EntCosmos.Consultores;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
//import org.primefaces.context.RequestContext;

/**
 *
 * @author obper
 */
@ManagedBean
@ViewScoped
public class listaNombres implements Serializable {

    private List<Consultores> consultas;

    @EJB

    FacadeConsultoresLocal dCons;
    @ManagedProperty("#{consulta}")
    private consulta con;

    public consulta getCon() {
        return con;
    }

    public void setCon(consulta con) {
        this.con = con;
    }

    public List<Consultores> getConsultas() {
        return consultas;
    }

    public void setConsultas(List<Consultores> consultas) {
        this.consultas = consultas;
    }

    @PostConstruct
    public void init() {
        this.consultas = (List<Consultores>) FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get("consultorKadexList");

    }

    public void selectCarFromDialog(Consultores consultores) {
      //  RequestContext.getCurrentInstance().closeDialog(consultores);
    }

    public listaNombres() {
    }

}
